Package com.collabnet.ce.soap60.webservices.pluggable

# Class PluggableComponentParameterSoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO

public class PluggableComponentParameterSoapDO extends Object
PluggableComponentParameterSoapDO represents a pluggable components configuration parameter

Since:
  5.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluggableComponentParameterSoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDefaultValue()`
  Returns 'defaultValue'.
  `String`
  `getDescription()`
  Returns 'description'.
  `String`
  `getDisplayType()`
  Returns 'displayType'.
  `boolean`
  `getEditable()`
  Returns 'editable'.
  `String`
  `getId()`
  Returns 'id'.
  `int`
  `getMaxLength()`
  Returns 'maxLength'.
  `String`
  `getName()`
  Returns 'name'.
  `PluggableComponentParameterValueSoapDO[]`
  `getOptions()`
  Returns 'options'.
  `String`
  `getTitle()`
  Returns 'title'.
  `String`
  `getValueType()`
  Returns 'valueType'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setDefaultValue(String defaultValue)`
  Sets 'defaultValue'.
  `void`
  `setDescription(String description)`
  Sets 'description'.
  `void`
  `setDisplayType(String displayType)`
  Sets 'displayType'.
  `void`
  `setEditable(boolean editable)`
  Sets 'editable'.
  `void`
  `setId(String id)`
  Sets 'id'.
  `void`
  `setMaxLength(int maxLength)`
  Sets 'maxLength'.
  `void`
  `setName(String name)`
  Sets 'name'.
  `void`
  `setOptions(PluggableComponentParameterValueSoapDO[] options)`
  Sets 'options'.
  `void`
  `setTitle(String title)`
  Sets 'title'.
  `void`
  `setValueType(String valueType)`
  Sets 'valueType'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PluggableComponentParameterSoapDO

    public PluggableComponentParameterSoapDO()

- ## Method Details

  - ### getId

    public String getId()
    Returns 'id'.
    Returns:
      Value of 'id'.

  - ### setId

    public void setId(String id)
    Sets 'id'.
    Parameters:
      `id` - Value of 'id'.

  - ### getTitle

    public String getTitle()
    Returns 'title'.
    Returns:
      Value of 'title'.

  - ### setTitle

    public void setTitle(String title)
    Sets 'title'.
    Parameters:
      `title` - Value of 'title'.

  - ### getName

    public String getName()
    Returns 'name'.
    Returns:
      Value of 'name'.

  - ### setName

    public void setName(String name)
    Sets 'name'.
    Parameters:
      `name` - Value of 'name'.

  - ### getDescription

    public String getDescription()
    Returns 'description'.
    Returns:
      Value of 'description'.

  - ### setDescription

    public void setDescription(String description)
    Sets 'description'.
    Parameters:
      `description` - Value of 'description'.

  - ### getDefaultValue

    public String getDefaultValue()
    Returns 'defaultValue'.
    Returns:
      Value of 'defaultValue'.

  - ### setDefaultValue

    public void setDefaultValue(String defaultValue)
    Sets 'defaultValue'.
    Parameters:
      `defaultValue` - Value of 'defaultValue'.

  - ### getDisplayType

    public String getDisplayType()
    Returns 'displayType'.
    Returns:
      Value of 'displayType'.

  - ### setDisplayType

    public void setDisplayType(String displayType)
    Sets 'displayType'.
    Parameters:
      `displayType` - Value of 'displayType'.

  - ### getValueType

    public String getValueType()
    Returns 'valueType'.
    Returns:
      Value of 'valueType'.

  - ### setValueType

    public void setValueType(String valueType)
    Sets 'valueType'.
    Parameters:
      `valueType` - Value of 'valueType'.

  - ### getMaxLength

    public int getMaxLength()
    Returns 'maxLength'.
    Returns:
      Value of 'maxLength'.

  - ### setMaxLength

    public void setMaxLength(int maxLength)
    Sets 'maxLength'.
    Parameters:
      `maxLength` - Value of 'maxLength'.

  - ### getEditable

    public boolean getEditable()
    Returns 'editable'.
    Returns:
      Value of 'editable'.

  - ### setEditable

    public void setEditable(boolean editable)
    Sets 'editable'.
    Parameters:
      `editable` - Value of 'editable'.

  - ### getOptions

    public PluggableComponentParameterValueSoapDO[] getOptions()
    Returns 'options'.
    Returns:
      Value of 'options'.

  - ### setOptions

    public void setOptions(PluggableComponentParameterValueSoapDO[] options)
    Sets 'options'.
    Parameters:
      `options` - Value of 'options'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)